Bug 1733754 - osp15 +ceph overcloud deployment failed with : ceph-mon : waiting for the monitor(s) to form the quorum: FAILED: The conditional check '(ceph_health_raw.stdout != \"\") and (ceph_health_raw.stdout
Summary: osp15 +ceph overcloud deployment failed with : ceph-mon : waiting for the mon...
Keywords:
Status: CLOSED DUPLICATE of bug 1715471
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ceph-ansible
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: fpantano
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks: 1594251
TreeView+ depends on / blocked
 
Reported: 2019-07-28 11:55 UTC by pkomarov
Modified: 2019-08-08 08:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 08:57:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description pkomarov 2019-07-28 11:55:52 UTC
Description of problem:
osp15 +ceph overcloud deployment failed with : ceph-mon : waiting for the monitor(s) to form the quorum: FAILED: The conditional check '(ceph_health_raw.stdout != \"\") and (ceph_health_raw.stdout  

Version-Release number of selected component (if applicable):
osp15, RHOS_TRUNK-15.0-RHEL-8-20190722.n.1

How reproducible:
100%

Steps to Reproduce:
rerun : https://rhos-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/view/DFG/view/pidone/view/instance-ha/job/DFG-pidone-instance-ha-15_director-rhel-virthost-3cont_2comp_3ceph-ipv4-geneve-instance-ha-test-suite/

Additional info:

logs and files at:

https://rhos-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/view/DFG/view/pidone/view/instance-ha/job/DFG-pidone-instance-ha-15_director-rhel-virthost-3cont_2comp_3ceph-ipv4-geneve-instance-ha-test-suite/18/artifact/

http://cougar11.scl.lab.tlv.redhat.com/DFG-pidone-instance-ha-15_director-rhel-virthost-3cont_2comp_3ceph-ipv4-geneve-instance-ha-test-suite/18/ 

overcloud_install.log ERROR message : 

        "TASK [ceph-mon : waiting for the monitor(s) to form the quorum...] *************",
        "task path: /usr/share/ceph-ansible/roles/ceph-mon/tasks/ceph_keys.yml:2",
        "Saturday 27 July 2019  00:17:13 +0000 (0:00:00.414)       0:02:34.698 ********* ",
        "fatal: [controller-0]: FAILED! => ",
        "  msg: |-",
        "    The conditional check '(ceph_health_raw.stdout != \"\") and (ceph_health_raw.stdout | default(
'{}') | from_json)['state'] in ['leader', 'peon']",
        "    ' failed. The error was: Expecting value: line 1 column 1 (char 0)",


Note You need to log in before you can comment on or make changes to this bug.